import { OnInit, NgZone } from '@angular/core';
import { OnSocketMessageReceive, WebSocketAPI } from '@xdf/commons';
import { FormBuilder, FormGroup } from '@angular/forms';
import { NgScrollbar } from 'ngx-scrollbar';
export declare class Message {
    date: Date;
    message: string;
    author: string;
    constructor(date: Date, message: string, author: string);
}
export declare class OptionChatComponent implements OnInit, OnSocketMessageReceive {
    private formBuilder;
    private zone;
    scroll: NgScrollbar;
    topic: string;
    webSocketAPI: WebSocketAPI;
    active: boolean;
    form: FormGroup;
    lastTotalMessage: number;
    messages: Message[];
    startDate: Date;
    constructor(formBuilder: FormBuilder, zone: NgZone);
    ngOnInit(): void;
    onMessageReceived(message: any): void;
    submit(): void;
    openChat(): void;
}
