import { OnInit, ElementRef, AfterViewInit, SimpleChanges } from '@angular/core';
declare enum PeityType {
    pie = "pie",
    donut = "donut",
    line = "line",
    bar = "bar"
}
export declare const PeityDonutThemes: {
    primary: string[];
    success: string[];
    warning: string[];
    info: string[];
};
export declare const PeityBarThemes: {
    primary: string[];
    success: string[];
    warning: string[];
    info: string[];
};
export declare const DefaultThemes: {
    primary: string[];
    success: string[];
    warning: string[];
    info: string[];
};
export declare class PeityComponent implements OnInit, AfterViewInit {
    private el;
    type: PeityType;
    values: String;
    attributes: {};
    theme: any;
    peity: JQuery | any;
    constructor(el: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getColor(): any;
    updateSize(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
export {};
