import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { DataService } from '../../crud/services/data.service';
export interface AuditDialogData {
    id: any;
    dataService: DataService;
}
export declare class AuditDialogComponent implements OnInit {
    dialogRef: MatDialogRef<AuditDialogComponent>;
    dataDialog: AuditDialogData;
    data: Array<any>;
    dataService: DataService;
    currentPage: number;
    pageSize: number;
    totalPages: number;
    showButton: boolean;
    id: number;
    constructor(dialogRef: MatDialogRef<AuditDialogComponent>, dataDialog: AuditDialogData);
    ngOnInit(): void;
    closeDialog(): void;
    toggleDetail(audit: any): void;
    private loadData;
    showMore(): void;
    onKeyUp(): void;
}
