import { InjectionToken } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { HttpClient } from '@angular/common/http';
export interface CommonsModuleOptions {
    language: string;
}
export declare const INITSERVICE_OPTIONS: InjectionToken<CommonsModuleOptions>;
export declare class InitCommonsService {
    private config;
    private translate;
    private http;
    definitionList: Map<string, string>;
    definitions: Map<string, any>;
    constructor(config: any, translate: TranslateService, http: HttpClient);
    initializeApp(): Promise<any>;
}
