import { OnInit } from '@angular/core';
import { ValidatorUtils } from '../../../utils/validator-utils';
import { FormGroupUtils } from '../../../utils/form-group-utils';
import { Moment } from 'moment';
import { MatDatepicker } from '@angular/material';
export declare const MY_FORMATS: {
    parse: {
        dateInput: string;
    };
    display: {
        dateInput: string;
        monthYearLabel: string;
        dateA11yLabel: string;
        monthYearA11yLabel: string;
    };
};
export declare class MonthpickerComponent implements OnInit {
    private formGroupUtils;
    private validatorUtils;
    name: string;
    placeholder: string;
    suggest: string;
    disabled: boolean;
    required: boolean;
    label: string;
    options: any;
    formGroup: any;
    constructor(formGroupUtils: FormGroupUtils, validatorUtils: ValidatorUtils);
    ngOnInit(): void;
    chosenYearHandler(normalizedYear: Moment): void;
    chosenMonthHandler(normalizedMonth: Moment, datepicker: MatDatepicker<Moment>): void;
    getErrors(): any[];
}
